Aria: ArMath Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArMath Class Reference

`#include <ariaUtil.h>`

List of all members.

## Detailed Description

This class has static members to do common math operations.

## Static Public Member Functions
static double | addAngle (double ang1, double ang2)
| This adds two angles together and fixes the result to [-180, 180].
static bool | angleBetween (double angle, double startAngle, double endAngle)
| Finds if one angle is between two other angles.
static double | atan2 (double y, double x)
| Finds the arctan of the given y/x pair.
static double | cos (double angle)
| Finds the cos, from angles in degrees.
static double | degToRad (double deg)
| Converts an angle in degrees to an angle in radians.
static double | distanceBetween (double x1, double y1, double x2, double y2)
| Finds the distance between two coordinates.
static double | epsilon ()
static double | fabs (double val)
| Finds the absolute value of a double.
static double | fixAngle (double angle)
| Takes an angle and returns the angle in range (-180,180].
static long | getRandMax ()
| Maximum of value returned by random().
static double | log2 (double x)
static void | pointRotate (double *x, double *y, double th)
| Rotates a point around 0 by degrees given.
static double | radToDeg (double rad)
| Converts an angle in radians to an angle in degrees.
static long | random (void)
static long | randomInRange (long m, long n)
static int | roundInt (double val)
| Finds the closest integer to double given.
static short | roundShort (double val)
| Finds the closest short to double given.
static double | sin (double angle)
| Finds the sin, from angles in degrees.
static double | squaredDistanceBetween (double x1, double y1, double x2, double y2)
| Finds the squared distance between two coordinates.
static double | subAngle (double ang1, double ang2)
| This subtracts one angle from another and fixes the result to [-180,180].
static double | tan (double angle)
| Finds the tan, from angles in degrees.

## Member Function Documentation

static double ArMath::addAngle | ( | double | ang1,
|  | double | ang2 |
| ) |  |  | `[inline, static]`

This adds two angles together and fixes the result to [-180, 180].

Parameters:

  | ang1 | first angle
  | ang2 | second angle, added to first

Returns:
  sum of the angles, in range [-180,180]

See also:
  subAngle

  fixAngle

static double ArMath::atan2 | ( | double | y,
|  | double | x |
| ) |  |  | `[inline, static]`

Finds the arctan of the given y/x pair.

Parameters:

  | y | the y distance
  | x | the x distance

Returns:
  the angle y and x form

static double ArMath::cos | ( | double | angle | ) | `[inline, static]`

Finds the cos, from angles in degrees.

Parameters:

  | angle | angle to find the cos of, in degrees

Returns:
  the cos of the angle

See also:
  sin

static double ArMath::degToRad | ( | double | deg | ) | `[inline, static]`

Converts an angle in degrees to an angle in radians.

Parameters:

  | deg | the angle in degrees

Returns:
  the angle in radians

See also:
  radToDeg

static double ArMath::distanceBetween | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2 |
| ) |  |  | `[inline, static]`

Finds the distance between two coordinates.

Parameters:

  | x1 | the first coords x position
  | y1 | the first coords y position
  | x2 | the second coords x position
  | y2 | the second coords y position

Returns:
  the distance between (x1, y1) and (x2, y2)

static double ArMath::epsilon | ( |  | ) | `[static]`

Returns:
  a very small number which can be used for comparisons of floating point values, etc.

static double ArMath::fabs | ( | double | val | ) | `[inline, static]`

Finds the absolute value of a double.

Parameters:

  | val | the number to find the absolute value of

Returns:
  the absolute value of the number

static double ArMath::fixAngle | ( | double | angle | ) | `[inline, static]`

Takes an angle and returns the angle in range (-180,180].

Parameters:

  | angle | the angle to fix

Returns:
  the angle in range (-180,180]

See also:
  addAngle

  subAngle

static double ArMath::log2 | ( | double | x | ) | `[inline, static]`

Base-2 logarithm

static double ArMath::radToDeg | ( | double | rad | ) | `[inline, static]`

Converts an angle in radians to an angle in degrees.

Parameters:

  | rad | the angle in radians

Returns:
  the angle in degrees

See also:
  degToRad

static long ArMath::random | ( | void |  | ) | `[inline, static]`

Returns a random number between 0 and RAND_MAX on Windows, 2^31 on Linux (see ArUtil::getRandMax()). On Windows, rand() is used, on Linux, lrand48().

static long ArMath::randomInRange | ( | long | m,
|  | long | n |
| ) |  |  | `[static]`

Returns a random number between m and n. On Windows, rand() is used, on Linux lrand48().

static int ArMath::roundInt | ( | double | val | ) | `[inline, static]`

Finds the closest integer to double given.

Parameters:

  | val | the double to find the nearest integer to

Returns:
  the integer the value is nearest to (also caps it within int bounds)

static short ArMath::roundShort | ( | double | val | ) | `[inline, static]`

Finds the closest short to double given.

Parameters:

  | val | the double to find the nearest short to

Returns:
  the integer the value is nearest to (also caps it within short bounds)

static double ArMath::sin | ( | double | angle | ) | `[inline, static]`

Finds the sin, from angles in degrees.

Parameters:

  | angle | angle to find the sin of, in degrees

Returns:
  the sin of the angle

See also:
  cos

static double ArMath::squaredDistanceBetween | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2 |
| ) |  |  | `[inline, static]`

Finds the squared distance between two coordinates.

use this only where speed really matters

Parameters:

  | x1 | the first coords x position
  | y1 | the first coords y position
  | x2 | the second coords x position
  | y2 | the second coords y position

Returns:
  the distance between (x1, y1) and (x2, y2)

static double ArMath::subAngle | ( | double | ang1,
|  | double | ang2 |
| ) |  |  | `[inline, static]`

This subtracts one angle from another and fixes the result to [-180,180].

Parameters:

  | ang1 | first angle
  | ang2 | second angle, subtracted from first angle

Returns:
  resulting angle, in range [-180,180]

See also:
  addAngle

  fixAngle

static double ArMath::tan | ( | double | angle | ) | `[inline, static]`

Finds the tan, from angles in degrees.

Parameters:

  | angle | angle to find the tan of, in degrees

Returns:
  the tan of the angle

The documentation for this class was generated from the following file:

- ariaUtil.h